USB_GET_CURREN(9)

NAME
usb_get_current_frame_number - return current bus frame number

SYNOPSIS

int usb_get_current_frame_number (struct usb_device * dev);

ARGUMENTS

dev the device whose bus is being queried

DESCRIPTION

Returns the current frame number for the USB host controller used with the given USB device. This can be used when scheduling isochronous requests.

Note that different kinds of host controller have different ``scheduling horizons''. While one type might support scheduling only 32 frames into the future, others could support scheduling up to 1024 frames into the future.